#
# spec file for package nautilus-actions
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _nautilus_extdir %(pkg-config --variable extensiondir libnautilus-extension)

Name:           nautilus-actions
Version:        3.2.4
Release:        8.2
Summary:        Nautilus extension to launch arbitrary applications on files
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://www.nautilus-actions.org/
Source:         http://download.gnome.org/sources/nautilus-actions/3.2/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:  pkgconfig(gnome-doc-utils)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libnautilus-extension)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sm) >= 1.0
BuildRequires:  pkgconfig(unique-3.0)
BuildRequires:  pkgconfig(uuid)
Requires:       nautilus
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Nautilus-Actions is an extension for Nautilus file manager which allows to add
arbitrary items to Nautilus context menus and to the menu bar.

%package devel
Summary:        Nautilus extension to launch arbitrary applications on files -- Development Files
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}

%description devel
Nautilus-Actions is an extension for Nautilus file manager which allows to add
arbitrary items to Nautilus context menus and to the menu bar.

%lang_package
%prep
%setup -q

%build
# Note: --disable-schemas-install fully removes installation of
# schemas; however, since settings are not stored in gconf anymore,
# it doesn't matter
%configure \
        --disable-schemas-install \
        --disable-scrollkeeper
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
# Remove doc files that either aren't needed (html/pdf docs,
# uninteresting files) or that we ship in another way (as %%doc)
for file in AUTHORS ChangeLog* COPYING COPYING-DOCS \
  INSTALL MAINTAINERS NEWS objects-hierarchy.odg README \
  README-GCONF TODO; do
  rm %{buildroot}%{_datadir}/doc/%{name}-%{version}/$file
done
for dir in html; do
  rm -r %{buildroot}%{_datadir}/doc/%{name}-%{version}/$dir
done
# Standard packaging
%suse_update_desktop_file nact
%find_lang %{name} %{?no_lang_C}
%find_lang %{name}-config-tool %{name}.lang %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}

%clean
%{?buildroot:%__rm -rf %{buildroot}}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING-DOCS README README-GCONF
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}-config-tool/
%doc %{_datadir}/gnome/help/%{name}-config-tool/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}-config-tool/
%doc %{_datadir}/omf/%{name}-config-tool/%{name}-config-tool-C.omf
%{_bindir}/%{name}-config-tool
%{_bindir}/%{name}-new
%{_bindir}/%{name}-print
%{_bindir}/%{name}-run
%{_datadir}/%{name}/
%{_nautilus_extdir}/libnautilus-actions-menu.so
%{_nautilus_extdir}/libnautilus-actions-tracker.so
%{_libdir}/%{name}/
%if "%{_libdir}" != "%{_libexecdir}"
%{_libexecdir}/%{name}/
%endif
%{_datadir}/applications/nact.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%files devel
%defattr(-, root, root)
%doc docs/objects-hierarchy.odg
%doc %{_datadir}/gtk-doc/html/%{name}-3/
%{_includedir}/%{name}/

%files lang -f %{name}.lang

%changelog
* Wed Aug  6 2014 dimstar@opensuse.org
- Update to version 3.2.4:
  + Various typos and grammar issues (bgo#727525).
  + Be more compliant with XDG specifications (bgo#730994).
  + nautilus-actions-new: add an option for actions working
    directories (bgo#730382).
  + Updated translations.
* Tue Jan 28 2014 zaitor@opensuse.org
- Update to version 3.2.3:
  + Fix stable attribute computing when releasing.
  + Fix menu use in the file manager context menu.
  + Fix na_io_provider_get_io_providers_list() so that write order
    is better respected.
  + Fix a broken tag in French help translation.
  + Manuallly indicated figures, languages and doc files in
    Makefile.
  + Fix tooltip typo.
  + Try to target ideal size and position the first time we open
    the main window.
  + Improve debug messages.
  + Obsoletes g_type_init() starting with GLib 2.36.
  + Obsoletes GDK threads starting with Gtk+ 3.6.
  + Obsoletes GtkTable starting with Gtk+ 3.4.
  + Obsoletes GtkHandleBox starting with Gtk+ 3.4, replacing
    moveable toolbars with fixed ones.
  + Do not try to create a Nautilus-Actions root menu if it will be
    empty.
  + Only allow the 'About Nautilus-Actions...' item inside of the
    root Nautilus-Actions menu.
  + Bugs fixed: bgo#667429, bgo#671987, bgo#672269, bgo#679122,
    bgo#679329, bgo#690783, bgo#697182
  + Updated translations.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Fri Mar  9 2012 dimstar@opensuse.org
- Update to version 3.2.2:
  + UI enhancements: let the example label be expandable
  + Bump FDL to 1.3 among all documentation
  + Validate desktop file when making distcheck
  + Fix wrong display in tabs vs. the current selection in tree
    view
  + Bugs fixed: bgo#671043, bgo#671044, bgo#671083
  + Updated translations.
* Wed Feb 29 2012 vuntz@opensuse.org
- Update to version 3.2.0:
  + Let import/export assistants pages be scrollable
  + Let the export format be selected in a treeview
  + Let the import mode be selected in a treeview
  + Make labels wrappable in import/export assistants
  + Fix vertical expand in Preferences dialog
  + Destroy the assistants toplevels when quitting
  + Set "Relying on runtime detection" as default in "Runtime
    execution" tab
  + Detect XFCE desktop
  + Force GConf I/O provider to be read-only after the migration
  + Check if action is writable when deleting a profile
  + Enable basenames, capabilities, folders, mimetypes and
    schemes tabs if a context is available
  + Migrate from dbus-glib to glib's GDBus (bgo#622909)
  + User documentation and gtk-doc documentation not installed by
    default (bgo#668181)
  + Should check for ice pkgconfig in configure (bgo#670434)
  + Mark strings as translatable (bgo#667429)
  + Many other code changes.
  + Several API additions (see NEWS for details).
  + Build fixes.
  + Updated translations.
- Remove xz BuildRequires now that it comes for free in the build
  system.
- Remove pkgconfig(dbus-glib-1) BuildRequires: code is ported to
  GDBus.
- Add pkgconfig(gio-2.0) and pkgconfig(ice) BuildRequires: now
  checked for by configure.
- Stop passing --enable-html-manuals to configure: it's not needed
  anymore, as the installation of documentation is now fixed.
* Sun Feb 19 2012 dimstar@opensuse.org
- Add pkgconfig(sm) BuildRequires: this used to be pulled in by
  something else before, but the relayout of xorg-x11 packages
  changed that.
* Wed Jan 18 2012 vuntz@opensuse.org
- Update to version 3.1.5:
  + Several bug fixes.
  + Removal of deprecated API usage.
  + Code cleanups.
  + Build system changes.
  + Updated translations.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
- Add gnome-doc-utils-devel BuildRequires: needed for user
  documentation.
- Pass --enable-html-manuals to configure: even though we don't
  want the HTML docs, we need this to have the help files
  installed. See bgo#668181.
* Sat Jul  9 2011 vuntz@opensuse.org
- Update to version 3.1.4:
  + Bug fixes:
  - bgo#649796: Migration tool doesn't automatically run
  - bgo#650523: Remote filenames are no more reachables
  - bgo#651911: 3.1.2 treats "isdir" differently than 2.30.2
  - bgo#652664: Documentation improvements
  + Other modifications:
  - Do not try to import a null or empty list of items
  - Keep GConf readable even after migration to Desktop
  + Updated translations.
* Tue Jun 28 2011 dimstar@opensuse.org
- Initial version of nautilus-actions 3.1.3.
